Page MenuHomePhabricator

stable-proposed-updates repository required
Closed, ResolvedPublic

Description

At the moment (work on Whonix 10 in progress) there is a discrepancy with Whonix's apt repository. Currently packages are Whonix 10ish. Any fixes for Whonix 9 are difficult to test. Those packages have naturally lower version numbers. So people who just want to help testing the small fixes so they can migrate into the stable repository, don't really want or should use the testers repository, because that comes with a lot more changes. The only solution I can see so far is introducing a forth, stable-fixes-testers repository. Then we'd have:

  • stable
  • stable-fixes-testers
  • testers
  • developers

If you can think of a better solution or got a better suggestion for the name as alternative to stable-fixes-testers, I am all ears.

Details

Impact
Normal

Event Timeline

Patrick created this task.Feb 26 2015, 10:08 PM
Patrick raised the priority of this task from to Normal.
Patrick updated the task description. (Show Details)
Patrick added a comment.EditedFeb 27 2015, 9:04 PM

mitm suggested (https://forums.whonix.org/t/tickets/855/57?u=patrick) using same naming scheme as Debian, i.e. naming it stable-proposed-updates.

Patrick removed a project: Whonix 11.
Patrick edited projects, added Whonix 13; removed Whonix 12.Aug 20 2015, 12:16 AM
Patrick set Impact to Needs Triage.
Patrick changed Impact from Needs Triage to Normal.Mar 30 2016, 9:49 PM
Patrick added a subscriber: marmarek.

Debian has currently:

Qubes has currently:

  • jessie
  • jessie-testing
  • jessie-securitytesting
  • jessie-unstable

Whonix currently has:

  • jessie
  • testers
  • developers

The Whonix approach does not scale anymore that's the reason for this ticket.


I think Qubes securitytesting might be overkill, but I don't know the reasoning. Might be simpler to have testing only. Certainly overkill for Whonix.

Has it become in Qubes jessie-testing rather than jessie-proposed-updates because of a reasoning or was proposed-updates terminology just unknown? If it was unknown, would it be considered a bug fix to mirror Debian terminology at some point? @marmarek

Depending on that, to implement this I must manage to decide if I rather want to mimic the Debian or Qubes approach.

I think Qubes securitytesting might be overkill, but I don't know the reasoning. Might be simpler to have testing only. Certainly overkill for Whonix.

Yes, overkill for Whonix. It is explained in every QSB.

Has it become in Qubes jessie-testing rather than jessie-proposed-updates because of a reasoning or was proposed-updates terminology just unknown? If it was unknown, would it be considered a bug fix to mirror Debian terminology at some point? @marmarek

Mostly unknown terminology, we've simply mirrored Fedora names (and to match builder commands like update-repo-current-testing). But at this point IMHO changing it not worth the effort (and all the breakage it could lead to).

Depending on that, to implement this I must manage to decide if I rather want to mimic the Debian or Qubes approach.

Go with Debian approach.

It works.

TODO:
Actually create a jessie-proposed-updates repository.

Patrick renamed this task from stable-fixes-testers repository required to stable-proposed-updates repository required.May 4 2016, 7:51 PM
Patrick closed this task as Resolved.May 4 2016, 8:05 PM
Patrick claimed this task.